:root {
  --domino: #95845e;
  --pavlova: #d6bf97;
  --azure: #F0FFFF;
  --silver: #c0c0c0;
  --charcoal: #2E2E2E;
  --black: #1c1c1c;

  --text-color: var(--azure);
  --text-color-alt: var(--charcoal);
  --text-color-muted: var(--charcoal);
  --border-color: var(--domino);
  --border-color-alt: var(--pavlova);
  --border-color-muted: var(--charcoal);

  --error-color: red;
  --success-color: lime;
}

@font-face {
  font-family: 'minecraftia';
  src: url("/fonts/Minecraftia-Regular.ttf");
}

*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  font-weight: normal;
}

body {
  min-height: 100vh;
  color: var(--text-color);
  background: var(--black);
  border-color: var(--border-color);
  transition:
    color 0.5s,
    background-color 0.5s;
  line-height: 1.6;
  font-family:
    minecraftia,
    Inter,
    -apple-system,
    BlinkMacSystemFont,
    'Segoe UI',
    Roboto,
    Oxygen,
    Ubuntu,
    Cantarell,
    'Fira Sans',
    'Droid Sans',
    'Helvetica Neue',
    sans-serif;
  font-size: 16px;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

a {
  color: inherit;
  text-decoration-color: inherit;
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
  opacity: 0.85;
}

button,
select {
  background-color: var(--pavlova);
  border-width: 0.25em;
  border-style: solid;
  border-color: var(--border-color);
  border-radius: 0.5em;
  padding: 0.25em;
  cursor: pointer;
}